View Issue Details

IDProjectCategoryView StatusLast Update
0006980Talerexchangepublic2021-09-02 18:14
ReporterFlorian Dold Assigned ToChristian Grothoff  
PrioritylowSeverityfeatureReproducibilityhave not tried
Status closedResolutionfixed 
Product Versiongit (master) 
Target Version0.8Fixed in Version0.8 
Summary0006980: exchange management API should properly return the setup status
DescriptionCurrently it is not possible to check via the API whether wire information has been set up properly, or which part is missing (accounts / fees).

Maybe we could introduce a management API that returns the status with more detail?

A request to "/wire" just returns a generic error message. (Which is of course expected and correct as this is the public /wire.)

root@vagrant:~/wallet-core# curl http://localhost/taler-exchange/wire
{
  "code": 1000,
  "hint": "Exchange is badly configured and thus cannot operate."
}
TagsNo tags attached.

Activities

Christian Grothoff

2021-08-11 21:42

manager   ~0018109

Fixed in 10d8342f90573215867adc9c7e561f09a61a7566. Did not add a new endpoint, just now giving much better response details.

/management/wire would also likely be public, and none of the information is at all sensitive, so I just decided to put this into the existing endpoint.

Christian Grothoff

2021-09-02 18:14

manager   ~0018219

Fix committed to master branch.

Related Changesets

exchange: master 10d8342f

2021-08-11 21:37:34

Christian Grothoff

Details Diff
return more detailed issue report in /wire, fixes 0006980 Affected Issues
0006980
mod - contrib/gana Diff File
mod - src/exchange/taler-exchange-httpd.c Diff File
mod - src/exchange/taler-exchange-httpd_wire.c Diff File
mod - src/exchange/taler-exchange-httpd_wire.h Diff File

Issue History

Date Modified Username Field Change
2021-08-04 22:50 Florian Dold New Issue
2021-08-04 22:50 Florian Dold Status new => assigned
2021-08-04 22:50 Florian Dold Assigned To => Christian Grothoff
2021-08-05 18:45 Christian Grothoff Severity minor => feature
2021-08-05 18:45 Christian Grothoff Product Version => git (master)
2021-08-05 18:45 Christian Grothoff Target Version => 0.9
2021-08-11 21:42 Christian Grothoff Status assigned => resolved
2021-08-11 21:42 Christian Grothoff Resolution open => fixed
2021-08-11 21:42 Christian Grothoff Fixed in Version => 0.9
2021-08-11 21:42 Christian Grothoff Note Added: 0018109
2021-08-17 16:35 Christian Grothoff Fixed in Version 0.9 => 0.8
2021-08-17 16:35 Christian Grothoff Target Version 0.9 => 0.8
2021-08-24 16:22 Christian Grothoff Status resolved => closed
2021-09-02 18:13 Christian Grothoff Changeset attached => Taler-exchange master 10d8342f
2021-09-02 18:14 Christian Grothoff Note Added: 0018219